<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The element activationspec-class specifies the fully          qualified Java class name of the activation          specification class. This class must implement the          javax.resource.spi.ActivationSpec interface. The          implementation of this class is required to be a          JavaBean.            Example:               activationspec-class com.wombat.ActivationSpecImpl               /activationspec-class ">
<meta name="KeyWords" content="activationSpecClass,Attribute activationSpecClass,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>String&nbsp;<IMG SRC="../../webviewer/30.jpg"BORDER=0>activationSpecClass,&nbsp;in&nbsp;Class&nbsp;<a href="class3e4aaf320042.htm" target="contents_frame">ActivationSpec</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;element&nbsp;activationspec-class&nbsp;specifies&nbsp;the&nbsp;fully
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;qualified&nbsp;Java&nbsp;class&nbsp;name&nbsp;of&nbsp;the&nbsp;activation
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;specification&nbsp;class.&nbsp;This&nbsp;class&nbsp;must&nbsp;implement&nbsp;the
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;javax.resource.spi.ActivationSpec&nbsp;interface.&nbsp;The
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;implementation&nbsp;of&nbsp;this&nbsp;class&nbsp;is&nbsp;required&nbsp;to&nbsp;be&nbsp;a
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;JavaBean.
<BR>
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Example:
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;activationspec-class&gt;com.wombat.ActivationSpecImpl
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/activationspec-class&gt;</font><BR><BR>
</body>
</html>
